"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataApiQueryBuilder = void 0;
const queries_1 = require("./queries");
const query_builders_1 = require("./query.builders");
class DataApiQueryBuilder extends queries_1.DataApiBaseQuery {
    static createAccountsQuery() {
        return new query_builders_1.DataApiAccountsQueryBuilder();
    }
    static createContractsQuery() {
        return new query_builders_1.DataApiContractsQueryBuilder();
    }
    static createESDTsQuery() {
        return new query_builders_1.DataApiESDTsQueryBuilder();
    }
    static createNetworkQuery() {
        return new query_builders_1.DataApiNetworkQueryBuilder();
    }
    static createNFTsQuery() {
        return new query_builders_1.DataApiNFTsQueryBuilder();
    }
    static createQuotesQuery() {
        return new query_builders_1.DataApiQuotesQueryBuilder();
    }
    static createStakingQuery() {
        return new query_builders_1.DataApiStakingQueryBuilder();
    }
    static createTokensQuery() {
        return new query_builders_1.DataApiTokensQueryBuilder();
    }
    static createTransactionsQuery() {
        return new query_builders_1.DataApiTransactionsQueryBuilder();
    }
    static createTransfersQuery() {
        return new query_builders_1.DataApiTransfersQueryBuilder();
    }
    static createXExchangeAnalyticsQuery() {
        return new query_builders_1.DataApiXExchangeAnalyticsQueryBuilder();
    }
    static createXMEXQuery() {
        return new query_builders_1.DataApiXMEXQueryBuilder();
    }
}
exports.DataApiQueryBuilder = DataApiQueryBuilder;
//# sourceMappingURL=query.builder.js.map