"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataApiLastOrAggregateQueryBuilder = void 0;
const entities_1 = require("../../entities");
const values_1 = require("../../values");
const aggregate_or_historical_query_builder_1 = require("./aggregate.or.historical.query.builder");
const base_query_builder_1 = require("./base.query.builder");
class DataApiLastOrAggregateQueryBuilder extends base_query_builder_1.DataApiBaseQueryBuilder {
    constructor(query) {
        super();
        this.copyProps(query);
    }
    getLast() {
        this.addValues(values_1.HistoricalValue.last, values_1.HistoricalValue.time);
        return this.buildQuery(entities_1.DataApiQueryType.LAST);
    }
    withTimeRange(range) {
        this.addOption('range', range);
        return new aggregate_or_historical_query_builder_1.DataApiAggregateOrHistoricalQueryBuilder(this);
    }
    fromDate(date) {
        this.addOption('date', date);
        return new aggregate_or_historical_query_builder_1.DataApiAggregateOrHistoricalQueryBuilder(this);
    }
    betweenDates(startDate, endDate) {
        this.addOption('start_date', startDate);
        this.addOption('end_date', endDate);
        return new aggregate_or_historical_query_builder_1.DataApiAggregateOrHistoricalQueryBuilder(this);
    }
}
exports.DataApiLastOrAggregateQueryBuilder = DataApiLastOrAggregateQueryBuilder;
//# sourceMappingURL=last.or.aggregate.query.builder.js.map