"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataApiXMEXQueryBuilder = void 0;
const internal_1 = require("./internal");
class DataApiXMEXQueryBuilder extends internal_1.DataApiBaseQueryBuilder {
    constructor() {
        super();
        this.addToPath({ name: 'xmex', args: [] });
    }
    unlockEarlyCount() {
        this.addToPath({ name: 'unlockEarly', args: [] });
        this.addToPath({ name: 'count', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
    unlockEarlyTotalAmount() {
        this.addToPath({ name: 'unlockEarly', args: [] });
        this.addToPath({ name: 'totalAmount', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
    unlockEarlyUnlockableAmount() {
        this.addToPath({ name: 'unlockEarly', args: [] });
        this.addToPath({ name: 'unlockableAmount', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
    unlockEarlyToBeBurnedAmount() {
        this.addToPath({ name: 'unlockEarly', args: [] });
        this.addToPath({ name: 'toBeBurnedAmount', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
    unlockAssetsCount() {
        this.addToPath({ name: 'unlockAssets', args: [] });
        this.addToPath({ name: 'count', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
    unlockAssetsTotalAmount() {
        this.addToPath({ name: 'unlockAssets', args: [] });
        this.addToPath({ name: 'totalAmount', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
    unlockAssetsTotalUnlockedAmount() {
        this.addToPath({ name: 'unlockAssets', args: [] });
        this.addToPath({ name: 'totalUnlockedAmount', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
    reduceLockPeriodCount() {
        this.addToPath({ name: 'reduceLockPeriod', args: [] });
        this.addToPath({ name: 'count', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
    reduceLockPeriodTotalAmount() {
        this.addToPath({ name: 'reduceLockPeriod', args: [] });
        this.addToPath({ name: 'totalAmount', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
    reduceLockPeriodBurnedAmount() {
        this.addToPath({ name: 'reduceLockPeriod', args: [] });
        this.addToPath({ name: 'burnedAmount', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
    reduceLockPeriodReducedAmount() {
        this.addToPath({ name: 'reduceLockPeriod', args: [] });
        this.addToPath({ name: 'reducedAmount', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
    lockTokensCount() {
        this.addToPath({ name: 'lockTokens', args: [] });
        this.addToPath({ name: 'count', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
    lockTokensTotalAmount() {
        this.addToPath({ name: 'lockTokens', args: [] });
        this.addToPath({ name: 'totalAmount', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
    lockTokensExtendedAmount() {
        this.addToPath({ name: 'lockTokens', args: [] });
        this.addToPath({ name: 'extendedAmount', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
    migrateOldTokensCount() {
        this.addToPath({ name: 'migrateOldTokens', args: [] });
        this.addToPath({ name: 'count', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
    migrateOldTokensTotalAmount() {
        this.addToPath({ name: 'migrateOldTokens', args: [] });
        this.addToPath({ name: 'totalAmount', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
    lkmexCount() {
        this.addToPath({ name: 'LKMEX', args: [] });
        this.addToPath({ name: 'count', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
    lkmexTotalSupply() {
        this.addToPath({ name: 'LKMEX', args: [] });
        this.addToPath({ name: 'totalSupply', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
    xmexCount() {
        this.addToPath({ name: 'XMEX', args: [] });
        this.addToPath({ name: 'count', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
    xmexTotalSupply() {
        this.addToPath({ name: 'XMEX', args: [] });
        this.addToPath({ name: 'totalSupply', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
}
exports.DataApiXMEXQueryBuilder = DataApiXMEXQueryBuilder;
//# sourceMappingURL=xmex.query.builder.js.map